pcl::gpu::CaptureOpenNI Class Reference

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/kinfu/tools/openni_capture.h>`

## Public Types

enum | { PROP_OPENNI_REGISTRATION_ON = 104 }
typedef KinfuTracker::PixelRGB | RGB

## Public Member Functions

| CaptureOpenNI ()
| CaptureOpenNI (int device)
| CaptureOpenNI (const std::string &oni_filename)
void | open (int device)
void | open (const std::string &oni_filename)
void | release ()
| ~CaptureOpenNI ()
bool | grab (PtrStepSz< const unsigned short > &depth, PtrStepSz< const RGB > &rgb24)
bool | setRegistration (bool value=false)

## Public Attributes

float | depth_focal_length_VGA
float | baseline
int | shadow_value
int | no_sample_value
double | pixelSize
unsigned short | max_depth

## Detailed Description

Definition at line 51 of file openni_capture.h.

## Member Typedef Documentation

## RGB

typedef KinfuTracker::PixelRGB pcl::gpu::CaptureOpenNI::RGB

Definition at line 54 of file openni_capture.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
PROP_OPENNI_REGISTRATION_ON |

Definition at line 56 of file openni_capture.h.

## Constructor & Destructor Documentation

## CaptureOpenNI() [1/3]

pcl::gpu::CaptureOpenNI::CaptureOpenNI | ( |  | ) |

## CaptureOpenNI() [2/3]

pcl::gpu::CaptureOpenNI::CaptureOpenNI | ( | int | device | ) |

## CaptureOpenNI() [3/3]

pcl::gpu::CaptureOpenNI::CaptureOpenNI | ( | const std::string & | oni_filename | ) |

## ~CaptureOpenNI()

pcl::gpu::CaptureOpenNI::~CaptureOpenNI | ( |  | ) |

## Member Function Documentation

## grab()

bool pcl::gpu::CaptureOpenNI::grab | ( | PtrStepSz< const unsigned short > & | depth,
|  | PtrStepSz< const RGB > & | rgb24
| ) |  |

## open() [1/2]

void pcl::gpu::CaptureOpenNI::open | ( | int | device | ) |

## open() [2/2]

void pcl::gpu::CaptureOpenNI::open | ( | const std::string & | oni_filename | ) |

## release()

void pcl::gpu::CaptureOpenNI::release | ( |  | ) |

## setRegistration()

bool pcl::gpu::CaptureOpenNI::setRegistration | ( | bool | value = `false` | ) |

## Member Data Documentation

## baseline

float pcl::gpu::CaptureOpenNI::baseline

Definition at line 73 of file openni_capture.h.

## depth_focal_length_VGA

float pcl::gpu::CaptureOpenNI::depth_focal_length_VGA

Definition at line 72 of file openni_capture.h.

## max_depth

unsigned short pcl::gpu::CaptureOpenNI::max_depth

Definition at line 78 of file openni_capture.h.

## no_sample_value

int pcl::gpu::CaptureOpenNI::no_sample_value

Definition at line 75 of file openni_capture.h.

## pixelSize

double pcl::gpu::CaptureOpenNI::pixelSize

Definition at line 76 of file openni_capture.h.

## shadow_value

int pcl::gpu::CaptureOpenNI::shadow_value

Definition at line 74 of file openni_capture.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/kinfu/tools/openni_capture.h